org.apache.cassandra.cql3

## Class ColumnConditions.Builder

- java.lang.Object
- - org.apache.cassandra.cql3.ColumnConditions.Builder

- Enclosing class:
    ColumnConditions

      public static final class ColumnConditions.Builder
      extends java.lang.Object

  A `Builder` for `ColumnConditions`.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ColumnConditions.Builder` | `add(ColumnCondition condition)` Adds the specified `ColumnCondition` to this set of conditions.
    `ColumnConditions` | `build()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### add

          public ColumnConditions.Builder add(ColumnCondition condition)

      Adds the specified `ColumnCondition` to this set of conditions.
      Parameters:
        `condition` - the condition to add

    - #### build

          public ColumnConditions build()

Copyright © 2018 The Apache Software Foundation